Bug 12796 - docbook2man seems to produce a typo in man pages
Summary: docbook2man seems to produce a typo in man pages
Status: RESOLVED FIXED
Alias: None
Product: PackageKit
Classification: Unclassified
Component: General (show other bugs)
Version: unspecified
Hardware: Other All
: medium normal
Assignee: Richard Hughes
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-10-13 08:30 UTC by Luke Macken
Modified: 2007-11-20 10:15 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Luke Macken 2007-10-13 08:30:25 UTC
It seems that the docbook2man page is producing man pages with a typo in the comments at the top.

  [lmacken@crow man]$ make
  docbook2man pkcon.sgml > pkcon.1
  docbook2man pkmon.sgml > pkmon.1
  [lmacken@crow man]$ head pkcon.1 
  .\" This manpage has been automatically generated by docbook2man 
  .\" from a DocBook document.  This tool can be found at:
  .\" <http://shell.ipoline.com/~elmert/comp/docbook2X/> 
  .\" Please send any bug reports, improvements, comments, patches, 
  .\" etc. to Steve Cheng <steve@ggiDone.
  ct.org>.
  .TH "PKCON" "1" "13 October 2007" "" ""

Which seems to make pkcon(1) look like this:

PKCON(1)                                  PKCON(1)



oject.org>.


NAME
       pkcon - PackageKit console client
Comment 1 Richard Hughes 2007-10-22 15:33:02 UTC
I guess this is a bug in docbook2man - right?
Comment 2 Luke Macken 2007-11-20 10:15:21 UTC
It's actually our redirection of stdout that is causing the issue.  docbook2man writes the man page out itself, so redirecting stdout seems to be corrupting the file.  I fixed the issue in git.

commit 7c33efbb58d0889de007b0bdd7b25776b3f2251d
Author: Luke Macken <lmacken@redhat.com>
Date:   Tue Nov 20 13:13:31 2007 -0500

    Fix the manpage corruption issue described in Bug #12796.

diff --git a/man/Makefile.am b/man/Makefile.am
index b03e121..27b73bc 100644
--- a/man/Makefile.am
+++ b/man/Makefile.am
@@ -10,10 +10,10 @@ endif
 
 if HAVE_DOCBOOK2MAN
 pkcon.1: pkcon.sgml
-       docbook2man $? > $@
+       docbook2man $? > /dev/null
 
 pkmon.1: pkmon.sgml
-       docbook2man $? > $@
+       docbook2man $? > /dev/null
 endif
 
 clean-local :


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.